*{
	box-sizing: border-box;
	padding: 0;
	margin: 0;
	color: #ccc;
}

.hidden{
	display: none !important;
}

button, input, label.toggle{
	display: inline-block;
	cursor: pointer;
	
	margin: 0 0.1em;
	padding: 0.5em 0.5em 0.1em;
	
	background: #303030;
	border: 0.2em solid #383838;
	border-radius: 0.5em;
	
	font-size: 80%;
	
	transition: 0.15s background;
}
input{
	padding-top: 0.65em;
	border-top-width: 0;
	border-right-width: 0;
	border-left-width: 0;
	border-radius: 0;
	border-top-right-radius: 1em;
}
button:hover:not(:disabled), input:hover:not(:disabled), label.toggle:hover:not(:disabled){
	background: #282828;
}
button:disabled, input:disabled, label.toggle:disabled{
	cursor: default;
	color: #aaa;
	opacity: 0.5;
}
label.toggle>input[type=checkbox]{
	position: absolute;
	visibility: hidden;
}
label.toggle:has(>input[type=checkbox]:checked){
	border-color: #999;
}

html{
	background: #181818;
	font-family: arial;
}
#container{}
#container>header{
	background: #202020;
	border-bottom: 0.1em solid #101010;
	user-select: none;
	
	padding: 0.5em;
}
#container>header>h1{
	display: inline-block;
	
	margin-right: 1em;
}
#container>header>h1>img{
	vertical-align: middle;
}
#container>header>nav{
	display: inline-block;
	cursor: default;
}
#container>header>nav>#nav-filter{
	width: 24em;
}

#list{
	width: 100%;
	padding: 0.5em;
}
#list>table{
	width: 100%;
}
#list>table>thead{}
#list>table>thead>tr{}
#list>table>thead>tr>th{
	padding: 0.5em 1em;
	
	background: #303030;
	border: 0.1em solid #181818;
	
	cursor: pointer;
}
#list>table>tbody{}
#list>table>tbody>tr{}
#list>table>tbody>tr>td{
	padding: 0.2em 0.5em;
	
	background: #202020;
	/*border: 0.1em solid #181818;*/
	
	transition: 0.2s background, 0.2s color;
}
#list>table>tbody>tr>td.editable{
	background: #303030;
}
#list>table>tbody>tr>td.edited{
	background: #1d3c4f !important;
}
#list>table>tbody>tr>td.dragging{
	background: #404040;
}

#list>table>tbody>tr>td:nth-child(1),
#list>table>tbody>tr>td:nth-child(5){
	text-align: center;
}
#list>table>tbody>tr>td:nth-child(4){
	font-size: 80%;
}
#list>table>tbody>tr>td:has(img){
	height: 5em;
	background: #fff;
}
#list>table>tbody>tr>td>img{
	width: 5em;
	max-height: 5em;
}
#list>table>tbody>tr:hover>td{
	background: #282828;
	color: #eee;
}

#msg{
	position: absolute;
	top: 0em;
	right: 1em;
	
	width: 24em;
	padding: 0.5em 1em;
	
	background: #1d3c4f;
	border: 0.2em solid #168fdc;
	border-radius: 0.75em;
	
	border-top: 0 none;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
	
	transition: 0.6s top;
}
#msg>input{
	position: absolute;
	visibility: hidden;
}
#msg:has(>input:not(:checked)){
	/*display: none;*/
	top: -8em;
}
#msg.error{
	border-color: #900;
	background: #332020;
}